\name{stamPrediction-class}
\docType{class}
\alias{stamPrediction-class}
\alias{initialize,stamPrediction-method}
\alias{print,stamPrediction-method}
\alias{writeHTML,stamPrediction-method}
\title{Results of Predictions by StAM}
\description{
  Object of this class are returned by \code{stam.predict} and contain prediction 
  results as they are computed by structured analysis of microarray data. 
}
\section{Objects from the Class}{
  Objects can be created by calls of the form 
  \code{new("stamPrediction", fit, expr.mat, cls, testset)}, but using 
  \code{stam.predict} is recommended.
}
\section{Slots}{
  \describe{
    \item{\code{chip}:}{Object of class \code{"character"}, the name of the chip for 
      which the classifier net is generated.}
    \item{\code{nodes}:}{Object of class \code{"list"}, elements are of class 
      \code{stamINode} or \code{stamLeaf}, one for each remaining node in the classifier 
      net.}
    \item{\code{class.labels}:}{Object of class \code{"character"}, one name for each 
      class}
    \item{\code{best.delta}:}{Object of class \code{"numeric"}, shrinkage level used for 
      computing}
    \item{\code{cls}:}{Object of class \code{"character"}, class names for 
      each sample}
    \item{\code{probs}:}{Object of class \code{"array"}, matrix of prediction 
      probabilities [samples x classes x nodes]}
    \item{\code{predicts}:}{Object of class \code{"character"}, overall prediction for 
      each sample}
    \item{\code{testset}:}{Object of class \code{"numeric"}, indeces of samples which 
      belong to the test set. The other samples are assumed to be the traiing set.}
    \item{\code{node.results}:}{Object of class \code{"list"}, performance, redundancy, 
      sensitivity and specificity per node}
  }
}
\section{Methods}{
  \describe{
    \item{image}{\code{signature(x = "stamPrediction")}: molecular symptoms image, see 
      \code{image.stamPrediction} for details}
    \item{print}{\code{signature(x = "stamPrediction")}: print information on prediction}
    \item{writeHTML}{\code{signature(x = "stamPrediction")}: generate HTML information 
      on prediction, but using \code{stam.writeHTML} is recommended}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stam.predict}}, \code{\link{image.stamPrediction}}, 
  \code{\link{stam.writeHTML}}}
}
\keyword{classes}
